Magazine

Faire tourner Spip 1.8.3 sous Mamp sur Mac

Publié le 01 octobre 2013 par Mike Lecomte
On 1 octobre 2013 by admin

Mamp permet de mettre en place sur Mac un serveur local php/Mysql, un peu comme EasyPHP sur Pc.

Spip a ses débuts a mis en place une compatibilité avec les anciennes versions de php, notamment php3, ce qui fait que la plupart des extensions SPIP 1.8.3  sont en “.php3″.

Avec les versions de Spip et de php, cette compatibilité a été abandonnée à un moment, la plupart des hébergements montant également en version de php. Pour des raisons de sécurité, la plupart des serveurs ce jour sont en php 5.

En essayant d’installer un spip 1.8.3 sur un mamp php5, il y aura plusieurs soucis et ça ne fonctionnera pas. la solution est de faire comprendre au serveur de traiter les fichiers “.php3″ comme des fichiers “.php”

Généralement en mettant dans le htaccess du spip cela est possible, mais là ça ne passe pas, il faut donc directement le faire dans la conf de Mamp.

Il faut aller éditer MAMP/conf/apache/httpd.conf (près de la ligne 38) et éditer pour obtenir ceci à la fin

#AddType application/x-httpd-php5 .php5 .php4 .php .php3 .php2 .phtml AddType application/x-httpd-php .php3

12 #AddType application/x-httpd-php5 .php5 .php4 .php .php3 .php2 .phtmlAddType application/x-httpd-phpphp3

Category : Dév & Code Tags : apache, mamp, php, php3, Spip

Vous pourriez être intéressé par :

Retour à La Une de Logo Paperblog

Ces articles peuvent vous intéresser :

A propos de l’auteur


Mike Lecomte 34 partages Voir son profil
Voir son blog

l'auteur n'a pas encore renseigné son compte l'auteur n'a pas encore renseigné son compte l'auteur n'a pas encore renseigné son compte

Dossier Paperblog